Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Method_Request_Event Class Reference

A method request for storing events. More...

`#include <Method_Request_Event.h>`

Inheritance diagram for TAO_Notify_Method_Request_Event:

[legend]
Collaboration diagram for TAO_Notify_Method_Request_Event:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Method_Request_Event (const TAO_Notify_Event_var &event)
| Constuctor.
virtual | ~TAO_Notify_Method_Request_Event ()
| Destructor.
virtual int | execute (ACE_ENV_SINGLE_ARG_DECL)
| Execute the Request.
const TAO_Notify_Event_var & | event (void)
| Obtain the event.
## Protected Attributes
const TAO_Notify_Event_var | event_
| The event.

## Detailed Description

A method request for storing events.

## Constructor & Destructor Documentation

TAO_Notify_Method_Request_Event::TAO_Notify_Method_Request_Event | ( | const TAO_Notify_Event_var & | event | ) |

| Constuctor.

TAO_Notify_Method_Request_Event::~TAO_Notify_Method_Request_Event | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

const TAO_Notify_Event_var & TAO_Notify_Method_Request_Event::event | ( | void |  | ) |

| Obtain the event.

int TAO_Notify_Method_Request_Event::execute | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Execute the Request. Implements TAO_Notify_Method_Request.

## Member Data Documentation

const TAO_Notify_Event_var TAO_Notify_Method_Request_Event::event_`[protected]`

| The event.

The documentation for this class was generated from the following files:

- Method_Request_Event.h
- Method_Request_Event.cpp